<?php



namespace App\Http\Controllers;



use App\Models\User;

use App\Models\DateStamp;

use App\Models\TimeStamp;

use App\Models\UserDetail;

use App\Models\CardRequest;

use Illuminate\Http\Request;

use App\Models\CompanyContact;

use App\Models\MeetingRequest;

use Illuminate\Support\Facades\Hash;

use Illuminate\Support\Facades\Crypt;

use Illuminate\Auth\Events\Registered;

use Cartalyst\Stripe\Laravel\Facades\Stripe;



class HomeController extends Controller

{

    /**

     * Create a new controller instance.

     *

     * @return void

     */

    public function __construct()

    {

        // $this->middleware('auth');

    }



    public function login() {

        return redirect('/login');

    }



    public function register() {

        return view('register');

    }



    /**

     * Show the application dashboard.

     *

     * @return \Illuminate\Contracts\Support\Renderable

     */

    public function index()

    {

        return view('home');

    }



    public function network() {



        $companies = User::with(['detail'])->where('role', 0)->get();

        // dd($companies);

        $cards = CardRequest::where('receiver_id', auth()->user()->id)->orWhere('sender_id', auth()->user()->id)->where(function($query) {

            $query->where('status', 0)

            ->orWhere('status', 1);

        })->get()->all();

        // dd($cards);

        $meetings = MeetingRequest::where(function($query){

            $query->where('status', 1)

            ->orWhere('status', 0);

        })->where('setter_id', auth()->user()->id)->orWhere('receiver_id', auth()->user()->id)->get()->all();

    



        return view('network_list' , [

            'companies' => $companies,

            'meetings' => $meetings,

            'cards' => $cards

        ]);

    }

    public function networkSource() {

        $meetings = MeetingRequest::where(function($query){

            $query->where('status', 1)

            ->orWhere('status', 0);

        })->where('setter_id', auth()->user()->id)->orWhere('receiver_id', auth()->user()->id)->get()->all();

        $query = User::with(['detail'])->where('role', 0)->get();
        return datatables($query)
        ->addIndexColumn()
        ->addColumn('company_name', function($row) {
            return $row->detail->company_name;
        })
        ->addColumn('country', function($row) {
            return $row->detail->country;
        })
        ->addColumn('category', function($row) {
            return $row->detail->business_category;
        })
        ->addColumn('meeting', function($row) {
            $route = route('user.book.meeting', $company->detail->id);
        })
        ->make(true);
    }



    public function meetingRequest() {



        

        $unconfirmed = MeetingRequest::with(['getSetter', 'getReceiver', 'getDate', 'getTime'])->where(function($query) {

            $query->where('setter_id', auth()->user()->id)

                  ->orWhere('receiver_id', auth()->user()->id);

        })->where('status', 0)->get();

        $confirmed = MeetingRequest::where(function($query) {

            $query->where('setter_id', auth()->user()->id)

                  ->orWhere('receiver_id', auth()->user()->id);

        })->where('status', '1')->get();

        $cancelled = MeetingRequest::where(function($query) {

            $query->where('setter_id', auth()->user()->id)

                  ->orWhere('receiver_id', auth()->user()->id);

        })->where('status', '2')->get();



        return view('meeting_request' , [

            'unconfirmed' => $unconfirmed,

            'confirmed' => $confirmed,

            'cancelled' => $cancelled

        ]);

    }



    public function meetingSchedule() {

        // $schedule = [

        //     [

        //         1 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         2 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0

        //         ],

        //     ],

        //     [

        //         3 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         4 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         5 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         6 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         7 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         8 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         9 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         10 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         11 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         12 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ],

        //     [

        //         13 => [

        //             1 => 0,

        //             2 => 0,

        //             3 => 0,

        //         ],

        //     ]

        // ];



        $times = TimeStamp::get();

        $dates = DateStamp::get();

        $user = User::findOrFail(auth()->user()->id);

        // dd($user->detail);

        $details = UserDetail::where('user_id', auth()->user()->id)->get()->first();

        $meetings = MeetingRequest::where(function($query) {

            $query->where('setter_id', auth()->user()->id)

                  ->orWhere('receiver_id', auth()->user()->id);

        })->where('status', '1')->orWhere('status', 0)->get()->all();



        return view('meeting_schedule', [

            'times' => $times,

            'dates' => $dates,

            'user' => $user,

            'details' => $details,

            'meetings' => $meetings

        ]);

    }





    public function meetingBook($id) {

        $details = UserDetail::findOrFail($id);
        

        $details2 = UserDetail::findOrFail(auth()->user()->id);
        

        $times = TimeStamp::get();

        $dates = DateStamp::get();

        $user = User::findOrFail($details->user_id);

        // dd($user);

        $meeting1 = MeetingRequest::where(function($query) {

            $query->where('setter_id', auth()->user()->id)

                  ->orWhere('receiver_id', auth()->user()->id);

        })->where('status', '1')->orWhere('status', 0)->get()->first;

        $meeting2 =  MeetingRequest::where(function($query) use ($id) {

            $query->where('setter_id', $id)

                  ->orWhere('receiver_id', $id);

        })->where('status', '1')->orWhere('status', 0)->get()->first;

        return view('meeting_book', [

            'details' => $details,

            'details2' => $details2,

            'times' => $times,

            'dates' => $dates,

            'user' => $user,

            'meeting1' => $meeting1,

            'meeting2' => $meeting2

        ]);

    }



    public function setMeeting(Request $request) {

        $tid = $request->time;

        $did = $request->date;

        $user_detail = UserDetail::where('user_id',$request->cid)->get()->first();

        $schedule = $user_detail->schedule;

        $schedule[$tid-1][$tid][$did] = 1;

        $user_detail->schedule = $schedule;

        $user_detail->save();



        $user_detail2 = UserDetail::where('user_id',auth()->user()->id)->get()->first();

        $schedule2 = $user_detail2->schedule;

        $schedule2[$tid-1][$tid][$did] = 1;

        $user_detail2->schedule = $schedule2;

        $user_detail2->save();

        

        $set = MeetingRequest::create([

            'setter_id' => auth()->user()->id,

            'receiver_id' => $request->cid,

            'timestamp_id' => $tid,

            'datestamp_id' => $did,

            'status' => 0

        ]);

    }



    public function acceptMeeting(Request $request) {

        $meeting = MeetingRequest::findOrFail($request->mid);

        $meeting->status = 1;

        $meeting->save();

    }



    public function rejectMeeting(Request $request) {

        $meeting = MeetingRequest::findOrFail($request->mid);

        $meeting->status = 2;

        $meeting->save();

    }

    public function acceptCard($id) {

        $meeting = CardRequest::findOrFail($id);

        $meeting->status = 1;

        $meeting->save();

    }



    public function rejectCard($id) {

        $meeting = CardRequest::findOrFail($id);

        $meeting->status = 2;

        $meeting->save();

    }



    public function meetingClose($id, $tid, $did) {

        $details = UserDetail::findOrFail($id);

        $schedule = $details->schedule;

        $schedule[$tid-1][$tid][$did] = 3;

        $details->schedule = $schedule;

        $details->save();

        return back();

    }



    public function meetingOpen($id, $tid, $did) {

        $details = UserDetail::findOrFail($id);

        $schedule = $details->schedule;

        $schedule[$tid-1][$tid][$did] = 0;

        $details->schedule = $schedule;

        $details->save();

        return back();

    }



    public function ajaxCardExchange($id) {

        $company = User::with(['detail'])->findOrFail($id);

        $modal = "";

        $modal .= "<form id='exchange_modal_form' method='POST' action='". route('user.card.exchange.request') ."'>";

        $modal .= "<input type='hidden' value='".csrf_token()."' name='_token'>";

        $modal .= "<input type='hidden' value='".$id."' name='id'>";

        $modal .= "<div class='col-md-12'>";

        $modal .= "<div class=''>";

        $modal .= "<div class=''><span><strong>Company Name</strong>: ".$company->detail->company_name."</span></div>";

        $modal .= "<div class=''><span><strong>Contact</strong>: ".$company->detail->contact."</span></div>";

        $modal .= "<div class='form-group'>";

        $modal .= "<label for='message' class='col-form-label text-left'>Message:</label>";

        $modal .= "<textarea rows='10' class='form-control @error('message') is-invalid @enderror' name='message' id='message' required></textarea>";

        $modal .= "<span class='error-message'></span>";

        $modal .= "</div>";

        $modal .= "</div>";

        $modal .= "</div>";

        $modal .= "</form>";

        echo $modal;

    }



    public function cardRequest(Request $request) {

        $company = User::with(['detail'])->findOrFail($request->id);



        CardRequest::create([

            'sender_id' => auth()->user()->id,

            'receiver_id' => $request->id,

            'message' => $request->message,

            'status' => 0

        ]);



        return redirect(route('user.network'));

    }



    public function cardExchange() {

        $unconfirmed = CardRequest::with(['getSetter', 'getReceiver'])->where(function($query) {
            $query->where('sender_id', auth()->user()->id)

            ->orWhere('receiver_id', auth()->user()->id);

        })->where('status', 0)->get();

        $confirmed = CardRequest::with(['getSetter', 'getReceiver'])->where(function($query) {

            $query->where('sender_id', auth()->user()->id)

                  ->orWhere('receiver_id', auth()->user()->id);

        })->where('status', '1')->get();

        $cancelled = CardRequest::with(['getSetter', 'getReceiver'])->where(function($query) {

            $query->where('sender_id', auth()->user()->id)

                  ->orWhere('receiver_id', auth()->user()->id);

        })->where('status', '2')->get();



        return view('card_exchange' , [

            'unconfirmed' => $unconfirmed,

            'confirmed' => $confirmed,

            'cancelled' => $cancelled

        ]);

    }



    public function ajaxCardShow($id) {





        $user = User::with(['detail', 'contact'])->findOrFail($id);

        $logo = $user->detail->company_logo;

        $company_website = $user->detail->company_website;

        $community_website = $user->detail->community_website;

        $company_name = $user->detail->company_name;

        $contact = $user->detail->contact;

        $pos = $user->detail->contact_position;

        $no = $user->detail->number;

        $email = $user->detail->email;

        $country = $user->detail->country;

        $info = $user->detail->company_description;

        $bcategory = $user->detail->business_category;

        $pcategory = $user->detail->product_category;

        $tmarket = $user->detail->target_market;

        $tcategory = $user->detail->target_category;

        $viber = $user->contact->viber;

        $whatsapp = $user->contact->whatsapp;

        $line =  $user->contact->line;

        $wechat = $user->contact->wechat;

        $skype = $user->contact->skype;



        // $details = UserDetail::where()



        $modal = "";



        $modal .= '<div class="modal-header" style="display: block !important;">';

        $modal .= '<button type="button" class="close" data-dismiss="modal" aria-label="Close">';

        $modal .= '<span aria-hidden="true">&times;</span>';

        $modal .= '</button>';

        $modal .= '<div class="modal-header-table">';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell comp_logo">';

        $modal .= '<img class="img-thumbnail" src="/pgdx_biz_matching/assets/img/company/'.$logo.'" alt="">';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-cell comp_name">';

        $modal .= '<div>'.$company_name.'</div>';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-body">';

        $modal .= '<div class="business_card">';

        $modal .= '<div class="bc_bg">';

        $modal .= '<div class="bc_url">';

        $modal .= '<i class="fas fa-globe"></i>';

        $modal .= '<a href="'.$company_website.'" target="_blank">'.$company_website.'</a>';

        $modal .= '</div>';

        $modal .= '<div class="bc_comp">'.$company_name.'</div>';

        $modal .= '<div class="bc_contact">'.$contact.'</div>';

        $modal .= '<div class="bc_position">'.$pos.'</div>';

        $modal .= '<div class="row">';

        $modal .= '<div class="col-md-7 bc_info">';

        $modal .= 'Tel No.: '.$no;

        $modal .= '<br>';

        $modal .= 'Email: '.$email;

        $modal .= '</div>';

        $modal .= '<div class="col-md-5 bc_info">';

        $modal .= $whatsapp ? 'Whatsapp: '.$whatsapp : '';

        $modal .= '<br>';

        $modal .= $viber ? 'Viber: '.$viber : '';

        $modal .= '<br>';

        $modal .= $wechat ? 'Wechat: '.$wechat : '';

        $modal .= '<br>';

        $modal .= $skype ? 'Skype: '.$skype : '';

        $modal .= '<br>';

        $modal .= $line ? 'Line: '.$line : '';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '<div style="display: block !important; padding: 30px; font-size: 16px;">';

        $modal .= '<div class="modal-header-table">';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Contact: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$contact.'</div></div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Country: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$country.'</div></div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Company Website: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$company_website.'</div></div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Community Website: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$community_website.'</div></div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Company Info: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$info.'</div></div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Business Category: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$bcategory.'</div></div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Product Category: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$pcategory.'</div></div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Target Market: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$tmarket.'</div></div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-header-table-row">';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-title">Target Category for: &nbsp;&nbsp;&nbsp;</div></div>';

        $modal .= '<div class="modal-header-table-cell"><div class="table-cell-content"> '.$tcategory.'</div></div>';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '</div>';

        $modal .= '<div class="modal-footer">';

        $modal .= '</div>';



        echo $modal;

    }



    public function contact() {

        Stripe::charges();

        $user = User::with(['detail', 'contact'])->findOrFail(auth()->user()->id);



        return view('contact_info',[

            'user' => $user

        ]);

    }



    public function contactEdit() {

        $user = User::with(['detail', 'contact'])->findOrFail(auth()->user()->id);

        $bcategoryArray = [ 

            'Art and Animation' => '', 

            'Audio/Sound Design' => '', 

            'Game Development' => '', 

            'Publisher/Agency' => '', 

            'IP Licensing' => '', 

            'Advertisement' => '', 

            'Digital Media Marketing' => '', 

            'Event Management' => '', 

            'Game-related Hardware' => '', 

            'Game-related Software' => '', 

            'Game-related Platform' => '', 

            'Payment/Monetization' => '', 

            'Localization' => '', 

            'Venture Capital' => '', 

            'Crowdfunding Platform' => '', 

            'GameFi' => '', 

            'Indie Game Developer' => ''

        ];



        $pcategoryArray = [ 

            'PC game' => '', 

            'Online game' => '', 

            'Console game' => '', 

            'Mobile Apps' => '', 

            'Web game' => '', 

            'AR' => '', 

            'VR' => '', 

            'Blockchain game' => '', 

            'Other' => '', 

        ];



        $tcategoryArray = [ 

            'Art and Animation' => '', 

            'Audio/Sound Design' => '', 

            'Game Development' => '', 

            'Publisher/Agency' => '', 

            'IP Licensing' => '', 

            'Advertisement' => '', 

            'Digital Media Marketing' => '', 

            'Event Management' => '', 

            'Game-related Hardware' => '', 

            'Game-related Software' => '', 

            'Game-related Platform' => '', 

            'Payment/Monetization' => '', 

            'Localization' => '', 

            'Venture Capital' => '', 

            'Crowdfunding Platform' => '', 

            'GameFi' => '', 

            'Indie Game Developer' => ''

        ];



        $tmarketArray = [ 

            'Philippines' => '', 

            'Malaysia' => '', 

            'Singapore' => '', 

            'Southeast Asia' => '', 

            'Northeast Asia' => '', 

            'North America' => '', 

            'Middle East' => '', 

            'Europe' => '', 

            'Central and South America' => '', 

            'Other' => ''

        ];





        $bcategory = explode(',', $user->detail->business_category);

        $pcategory = explode(',', $user->detail->product_category);

        $tcategory = explode(',', $user->detail->target_category);

        $tmarket = explode(',', $user->detail->target_market);





        foreach($bcategoryArray as $key => $value) {

            foreach($bcategory as $category) {

                if($key == $category) {

                    $bcategoryArray[$key] = 'checked';

                }

            }

        }



        foreach($pcategoryArray as $key => $value) {

            foreach($pcategory as $category) {

                if($key == $category) {

                    $pcategoryArray[$key] = 'checked';

                }

            }

        }



        foreach($tcategoryArray as $key => $value) {

            foreach($tcategory as $category) {

                if($key == $category) {

                    $tcategoryArray[$key] = 'checked';

                }

            }

        }



        foreach($tmarketArray as $key => $value) {

            foreach($tmarket as $category) {

                if($key == $category) {

                    $tmarketArray[$key] = 'checked';

                }

            }

        }



        // dd($tmarket);









        return view('edit_contact',[

            'user' => $user,

            'bcategoryArray' => $bcategoryArray,

            'pcategoryArray' => $pcategoryArray,

            'tcategoryArray' => $tcategoryArray,

            'tmarketArray' => $tmarketArray,

            // 'bcategory' => $bcategory

        ]);

    }



    public function contactEditStore(Request $request, $id) {



        $this-validate($request, [

            'country' => 'required',

            'product_category' => 'required',

            'business_category' => 'required',

            'target_market' => 'required',

            'target_category' => 'required',

            'whatsapp' => 'required_without_all:line,viber,skype,wechat',

            'line' => 'required_without_all:whatsapp,viber,skype,wechat',

            'viber' => 'required_without_all:line,whatsapp,skype,wechat',

            'skype' => 'required_without_all:line,viber,whatsapp,wechat',

            'wechat' => 'required_without_all:line,viber,skype,whatsapp'

        ]);



        $user = User::with(['detail', 'contact'])->findOrFail($id);

        $detail = UserDetail::where('user_id', $user->id)->get()->first();

        $contact = CompanyContact::where('user_id', $user->id)->get()->first();

        // dd($request);

        $tcategory = implode(',', $request->target_category);

        $bcategory = implode(',', $request->business_category);

        $pcategory = implode(',', $request->product_category);

        $tmarket = implode(',', $request->target_market);



        

        $detail->contact = $request->contact;

        $detail->contact_position = $request->position;

        $detail->number = $request->number;

        $detail->business_category = $bcategory;

        $detail->country = $request->country;

        $detail->product_category = $pcategory;

        $detail->target_market = $tmarket;

        $detail->target_category = $tcategory;

        $contact->whatsapp = $request->whatsapp;

        $contact->viber = $request->viber;

        $contact->wechat = $request->wechat;

        $contact->line = $request->line;

        $contact->skype = $request->skype;

        $detail->company_website = $request->company_website;

        $detail->community_website = $request->community_website;

        $detail->company_description = $request->company_description;



        $logo = $request->file('company_logo');



        if($logo) {

            $filename = $logo->getClientOriginalName();

            $user->detail->company_logo = $filename;

            $logo->move(public_path('assets/img/company'), $filename);

        }



        $user->save();

        $contact->save();

        $detail->save();

        return redirect(route('user.contact.edit'));

    }



    public function registerUser(Request $request) {



        $this->validate($request, [

            'contact' => 'required', 'string', 'max:255',

            'email' => 'required', 'string', 'email', 'max:255', 'unique:users',

            'password' => 'required', 'string', 'min:8', 'confirmed',

            'company_name' => 'required', 'string',

            'position' => 'required', 'string',

            'number' => 'required', 'string',

            'country' => 'required',

            'product_category' => 'required',

            'business_category' => 'required',

            'target_market' => 'required',

            'target_category' => 'required',

            'whatsapp' => 'required_without_all:line,viber,skype,wechat',

            'line' => 'required_without_all:whatsapp,viber,skype,wechat',

            'viber' => 'required_without_all:line,whatsapp,skype,wechat',

            'skype' => 'required_without_all:line,viber,whatsapp,wechat',

            'wechat' => 'required_without_all:line,viber,skype,whatsapp',

            'company_logo' => 'required|file|mimes:jpg,jpeg,png|max:2000',

            'company_description' => 'required',

            'company_website' => 'required',

        ]);




        $bcategory = implode(',', $request->business_category);

        $pcategory = implode(',', $request->product_category);

        $tcategory = implode(',', $request->target_category);

        $tmarket = implode(',', $request->target_market);



        $schedule = '[{"1":{"1":0,"2":0,"3":0}},{"2":{"1":0,"2":0,"3":0}},{"3":{"1":0,"2":0,"3":0}},{"4":{"1":0,"2":0,"3":0}},{"5":{"1":0,"2":0,"3":0}},{"6":{"1":0,"2":0,"3":0}},{"7":{"1":0,"2":0,"3":0}},{"8":{"1":0,"2":0,"3":0}},{"9":{"1":0,"2":0,"3":0}},{"10":{"1":0,"2":0,"3":0}},{"11":{"1":0,"2":0,"3":0}},{"12":{"1":0,"2":0,"3":0}},{"13":{"1":0,"2":0,"3":0}}]';



        $logo = $request->file('company_logo');

        $filename = $logo->getClientOriginalName();





        $user = User::create([

            'name' => $request->contact,

            'email' => $request->email,

            'password' => Hash::make($request->password),

            'role' => 0

        ]);



        $company = UserDetail::create([

            'user_id' => $user->id,

            'company_name' => $request->company_name,

            'contact' => $request->contact,

            'contact_position' => $request->position,

            'number' => $request->number,

            'country' => $request->country,

            'email' => $request->email,

            'company_logo' => $filename,

            'company_website' => $request->company_website,

            'community_website' => $request->community_website,

            'company_description' => $request->company_description,

            'business_category' => $bcategory,

            'product_category' => $pcategory,

            'target_category' => $tcategory,

            'target_market' => $tmarket,

            'schedule' => json_decode($schedule),

        ]);



        $logo->move(public_path('assets/img/company'), $filename);



        $contacts = CompanyContact::create([

            'user_id' => $user->id,

            'whatsapp' => $request->whatsapp,

            'viber' => $request->viber,

            'wechat' => $request->wechat,

            'line' => $request->line,

            'skype' => $request->skype

        ]);



        return redirect()->route('send.register.email', $user->email);



    }

}

