<?php

namespace App\Http\Controllers;

use App\Mail\UserAccept;
use App\Mail\UserReject;
use App\Mail\UserRegister;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class MailController extends Controller
{
    public function successRegister($email) {
        Mail::to($email)->send(new UserRegister);

        if (Mail::failures()) {
            return response()->Fail('Sorry! Please try again latter');
        } else {
            return redirect()->route('login')->with('success-register', 'An email was sent to your registered email address. Please read for further details. Thank you.');
        }
    }

    public function approveAccount($email) {
        Mail::to($email)->send(new UserAccept);

        if (Mail::failures()) {
            return response()->Fail('Sorry! Please try again latter');
        } else {
            return redirect()->back()->with('success-register', 'An email was sent to your registered email address. Please read for further details. Thank you.');
        }
    }

    public function rejectAccount($email) {
        Mail::to($email)->send(new UserReject);

        if (Mail::failures()) {
            return response()->Fail('Sorry! Please try again latter');
        } else {
            return redirect()->back()->with('success-register', 'An email was sent to your registered email address. Please read for further details. Thank you.');
        }
    }
}
