@extends('layouts.app')

@section('content')
    <div class="content-container">
        <div class="content-header">
            <h2>Book Meeting - {{ $details->company_name }}</h2>
        </div>
        <div class="content-body-table">
            <div class="card">
                <div class="card-header">{{ $details->company_name }} - {{$details->contact}}</div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;">
                            <thead class="thead-light">
                                <tr>
                                    <th>Time(GMT+8)</th>
                                    @foreach($dates as $date)
                                        <th>{{ $date->date_stamp }}</th>
                                    @endforeach
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($details->schedule as $key => $value)
                                    <tr>
                                        <td>{{ \App\Models\TimeStamp::getTime($key+1) }}</td>
                                        @foreach($value as $keyone => $valueone)
                                            @foreach($valueone as $keytwo => $valuetwo)
                                                <td>
                                                    @php
                                                        $check1 = \App\Models\MeetingRequest::where('setter_id', $details->user_id)->orWhere('receiver_id', $details->user_id)
                                                        ->where(function($query) use ($keyone, $keytwo) {
                                                            $query->where('datestamp_id', $keytwo)
                                                            ->where('timestamp_id', $keyone);
                                                        })->get()->first(); 
                                                        $check2 = \App\Models\MeetingRequest::where('setter_id', $details2->user_id)->orWhere('receiver_id', $details2->user_id)
                                                        ->where(function($query) use ($keyone, $keytwo) {
                                                            $query->where('datestamp_id', $keytwo)
                                                            ->where('timestamp_id', $keyone);
                                                        })->get()->first(); 
                                                    @endphp
                                                    @if($check1 || $check2)
                                                        Unavailable
                                                    @else
                                                        <button id="{{ $details->user_id }}" cname="{{$user->detail->company_name}}" date_string="{{ \App\Models\DateStamp::getDate($keytwo) }}" time_string="{{ \App\Models\TimeStamp::getTime($keyone) }}" class="btn book_button" time="{{$keyone}}" date="{{$keytwo}}" style="background: var(--pgdx-blue) !important; color: #fff;">Book</button>
                                                    @endif
                                                </td>
                                            @endforeach
                                        @endforeach
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection