<?php

namespace Database\Seeders;

use App\Models\UserDetail;
use Illuminate\Database\Seeder;

class UserDetailSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $details = [
            [
                'user_id' => 2,
                'company_name' => 'CBZN Corporations',
                'country' => 'Philippines',
                'contact' => 'Reginald Legaspi',
                'number' => '09190933865',
                'email' => 'reginald.legaspi@cbzncorp.com',
                'company_logo' => 'cbzn_logo.png',
                'company_website' => 'https://cbzncorp.com',
                'community_website' => '',
                'company_description' => "CBZN Perspective is a full stack solutions company legally registered in the Philippines . It's founding members specializing in PC & Mobile App Management (Gaming & Social Apps) With more than 12 years of experience in the SEA Gaming Industry Handling over 40+ apps locally & globally on Mobile and PC Engaging over 50 million core users",
                'business_category' => 'Advertisement,Digital Media Marketing,Event Management',
                'product_category' => 'PC game,Online game,Mobile apps',
                'target_market' => 'Southeast Asia',
                'target_category' => 'Game Development,Publisher/Agency',
                'schedule' => json_decode('[{"1":{"1":1,"2":0,"3":0}},{"2":{"1":0,"2":1,"3":0}},{"3":{"1":0,"2":0,"3":0}},{"4":{"1":0,"2":0,"3":0}},{"5":{"1":0,"2":0,"3":0}},{"6":{"1":0,"2":0,"3":0}},{"7":{"1":0,"2":0,"3":0}},{"8":{"1":0,"2":0,"3":0}},{"9":{"1":0,"2":0,"3":0}},{"10":{"1":0,"2":0,"3":0}},{"11":{"1":0,"2":0,"3":0}},{"12":{"1":0,"2":0,"3":0}},{"13":{"1":0,"2":0,"3":0}}]')
            ], 
            [
                'user_id' => 3,
                'company_name' => 'CBZN Corporations 2',
                'country' => 'Philippines',
                'contact' => 'Reginald Legaspi',
                'number' => '09190933865',
                'email' => 'reginald.legaspi@cbzncorp.com',
                'company_logo' => 'cbzn_logo.png',
                'company_website' => 'https://cbzncorp.com',
                'community_website' => '',
                'company_description' => "CBZN Perspective 2 is a full stack solutions company legally registered in the Philippines . It's founding members specializing in PC & Mobile App Management (Gaming & Social Apps) With more than 12 years of experience in the SEA Gaming Industry Handling over 40+ apps locally & globally on Mobile and PC Engaging over 50 million core users",
                'business_category' => 'Advertisement,Digital Media Marketing,Event Management',
                'product_category' => 'PC game,Online game,Mobile apps',
                'target_market' => 'Southeast Asia',
                'target_category' => 'Game Development,Publisher/Agency',
                'schedule' => json_decode('[{"1":{"1":1,"2":0,"3":0}},{"2":{"1":0,"2":1,"3":0}},{"3":{"1":0,"2":0,"3":0}},{"4":{"1":0,"2":0,"3":0}},{"5":{"1":0,"2":0,"3":0}},{"6":{"1":0,"2":0,"3":0}},{"7":{"1":0,"2":0,"3":0}},{"8":{"1":0,"2":0,"3":0}},{"9":{"1":0,"2":0,"3":0}},{"10":{"1":0,"2":0,"3":0}},{"11":{"1":0,"2":0,"3":0}},{"12":{"1":0,"2":0,"3":0}},{"13":{"1":0,"2":0,"3":0}}]')
            ]
        ];

        foreach($details as $key => $detail) {
            UserDetail::create($detail);
        }
    }
}
