@extends('layouts.admin')

@section('content')
    <div class="content-container">
        @if(Session::has('success-accept'))
            <div class="alert alert-block alert-success">
                <i class=" fa fa-check cool-green "></i>
                {{ (Session::get('success-accept')) }}
            </div>
        @endif
        @if(Session::has('success-reject'))
            <div class="alert alert-block alert-danger">
                <i class=" fa fa-check cool-green "></i>
                {{ (Session::get('success-reject')) }}
            </div>
        @endif
        <div class="content-header">
            <h2>Pending Users</h2>
        </div>
        <div class="content-body-table">
            <div class="card">
                <div class="card-header">
                   Users
                </div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;" id="dataTable">
                            <thead>
                                <th>Company Name</th>
                                <th>Contact</th>
                                <th>Country</th>
                                <th>Category</th>
                                <th></th>
                            </thead>
                            <tbody>
                                @foreach($users as $user)
                                    <tr>
                                        <td> {{ $user->detail->company_name }} </td>
                                        <td> {{ $user->detail->contact }} </td>
                                        <td> {{ $user->detail->country }} </td>
                                        <td> {{ $user->detail->business_category }} </td>
                                        <td><a href="{{ route('user.pending.view', $user->id) }}" class="btn btn-primary">View</a></td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection