<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>PGDX - Biz Matching</title>
        <link rel="stylesheet" href="{{ asset('css/styles.css') }}">
        <link rel="stylesheet" href="{{ asset('css/custom.css') }}">
        <link rel="icon" type="image/x-icon" href="assets/img/favicon.png" />
        <link href="https://cdn.datatables.net/1.10.22/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>
    </head>

<body>
    <div class="gradient-bar-login"></div>
    @if(Session::has('success-register'))
        <div class="alert alert-block alert-success text-center">
            <i class=" fa fa-check cool-green "></i>
            {{ (Session::get('success-register')) }}
        </div>
    @endif
    @if(Session::has('error-status'))
        <div class="alert alert-block alert-danger text-center">
            <i class=" fa fa-times "></i>
            {{ (Session::get('error-status')) }}
        </div>
    @endif
    @if(Session::has('error'))
        <div class="alert alert-block alert-danger text-center">
            <i class=" fa fa-times "></i>
            {{ (Session::get('error')) }}
        </div>
    @endif
    @if(Session::has('reset-password'))
        <div class="alert alert-block alert-success text-center">
            <i class=" fa fa-check cool-green "></i>
            {{ (Session::get('reset-password')) }}
        </div>
    @endif
    @if(Session::has('reset-password-success'))
        <div class="alert alert-block alert-success text-center">
            <i class=" fa fa-check cool-green "></i>
            {{ (Session::get('reset-password')) }}
        </div>
    @endif
    @if(Session::has('reset-password-error'))
        <div class="alert alert-block alert-danger text-center">
            <i class=" fa fa-times "></i>
            {{ (Session::get('reset-password-error')) }}
        </div>
    @endif
    <div class="login-box">
        <div class="login-box-body">
            <div class="login-logo">
                <img src="{{ asset('assets/img/pgdx-logo-colored-no-bg.png') }}" width="100%" max-width="400px;" alt="">
            </div>
            <div class="text-center" style="font-size: 18px; font-weight: 600; margin-bottom: 25px;">
                PHILIPPINE GAMEDEV EXPO 2023
                <br>
                Biz-Matching System
            </div>
            <form method="POST" action="{{ route('login') }}">
                @csrf

                <div class="form-group has-feedback">
                    <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autofocus placeholder="Email">
                    <span class="fas fa-envelope form-control-feedback"></span>
                    @error('email')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>

                <div class="form-group has-feedback">
                        <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required placeholder="Password">
                        <span class="fas fa-key form-control-feedback"></span>
                        @error('password')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <button type="submit" class="btn custom-btn-yellow btn-block">
                            {{ __('Sign In') }}
                        </button>
                    </div>
                </div>
            </form>
            <br>
            <div class="text-center">
                <a href="{{ route('user.register') }}">Sign up</a>
            </div>
            <div class="text-center">
                <a href="#" data-toggle="modal" data-target="#forgotPasswordModal">Forgot Password</a>
            </div>
            <div class="text-center" style="font-size: 12px; color: #fff; margin-top: 25px;">
                <span>For questions, please contact as at: </span><a href="mailto:biz.dev@pgdx.ph">biz.dev@pgdx.ph</a>
            </div>
        </div>
    </div>

    <div class="organized-box">
        <h3>ORGANIZED BY</h3>
        <div class="organized-image">
            <img src="{{ asset('assets/img/Asset-15-2-768x125.png') }}" class="center-block" alt="" width="200">
            <img src="{{ asset('assets/img/CBZN-Logo-02-Horizontal-ColoredWhite-2048x618.png') }}" class="center-block" alt="" width="200">
        </div>
    </div>


    <!-- Forgot Password Modal -->
    <div class="modal fade" id="forgotPasswordModal" tabindex="-1" role="dialog" aria-labelledby="forgotPasswordModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="forgotPasswordModalLabel">Forgot Password</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <!-- Forgot Password Form -->
            <form method="POST" action="{{ route('forget.password.post') }}">
            @csrf
            <div class="form-group">
                <label for="email" class="col-form-label">{{ __('Email Address') }}</label>
                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                @error('email')
                <span class="invalid-feedback" role="alert">
                    <strong>{{ $message }}</strong>
                </span>
                @enderror
            </div>
            <div class="form-group mb-0">
                <button type="submit" class="btn btn-primary">{{ __('Send Password Reset Link') }}</button>
            </div>
            </form>
        </div>
        </div>
    </div>
    </div>


    <script src="https://code.jquery.com/jquery-3.5.1.min.js" crossorigin="anonymous"></script>
    <script src="{{asset('administrator/plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{ asset('js/script.js') }}"></script>

</body>
</html>
