@extends('layouts.app')



@section('content')
    @if(Session::has('edit-success'))
        <div class="alert alert-block alert-success text-center">
            <i class=" fa fa-check cool-green "></i>
            {{ (Session::get('edit-success')) }}
        </div>
    @endif
    <div class="content-container">

        <div class="content-header">

            <h2>Edit Contact Info</h2><span><a href="{{ route('user.contact.info') }}" class="btn badge badge-pill badge-primary" style="float: right; margin-bottom: 10px; padding: 15px;">Preview Profile</a></span>

        </div>

        <div class="content-body-table">

            <div class="box-body">

                <form action="{{ route('user.contact.edit.store', auth()->user()->id) }}" enctype="multipart/form-data" method="POST">

                    @csrf

                    @method('PUT')

                    <div class="row">

                    <div class="col-lg-5">

                        <div class="form-group">

                            <label for="company_name">Company Name</label>

                            <input type="text" disabled class="form-control" name="company_name" value="{{ $user->detail->company_name }}">

                        </div>

                        <div class="form-group">

                            <label for="country">Country</label>

                            <input type="text" class="form-control" name="country" value="{{ $user->detail->country }}">

                        </div>

                        <div class="form-group">

                            <label for="company_email">Email</label>

                            <input type="text" disabled class="form-control" name="company_email" value="{{ $user->detail->email }}">

                        </div>

                        <p class="text-muted">*If you want to change the “Company Name” & ”Email”, please email to the organizer. (bizdev@pgdx.ph)</p>

                        <div class="form-group">

                            <label for="contact">Contact</label>

                            <input type="text" class="form-control" name="contact" value="{{ $user->detail->contact }}">

                        </div>

                        <div class="form-group">

                            <label for="position">Job Title</label>

                            <input type="text" class="form-control" name="position" value="{{ $user->detail->contact_position }}">

                        </div>

                        <div class="form-group">

                            <label for="number">Mobile Number</label>

                            <input type="text" class="form-control" name="number" value="{{ $user->detail->number }}">

                        </div>

                        <div class="form-group" id="messaging-app">

                            <label for="contacts">Messaging App</label>

                            <div class="input-group">

                                <label class="form-control no-border" for="whatsapp">Whatsapp</label>

                                <input type="text" class="form-control" name="whatsapp" value="{{ $user->contact->whatsapp }}">

                            </div>

                            <div class="input-group">

                                <label class="form-control no-border" for="viber">Viber</label>

                                <input type="text" class="form-control" name="viber" value="{{ $user->contact->viber }}">

                            </div>

                            <div class="input-group">

                                <label class="form-control no-border" for="wechat">WeChat</label>

                                <input type="text" class="form-control" name="wechat" value="{{ $user->contact->wechat }}">

                            </div>

                            <div class="input-group">

                                <label class="form-control no-border" for="skype">Skype</label>

                                <input type="text" class="form-control" name="skype" value="{{ $user->contact->skype }}">

                            </div>

                            <div class="input-group">

                                <label class="form-control no-border" for="line">Line</label>

                                <input type="text" class="form-control" name="line" value="{{ $user->contact->line }}">

                            </div>

                        </div>

                    </div>

                    <div class="col-lg-5">

                        <div class="form-group">

                            <label for="company_logo">Company Logo</label>

                            <div>

                                <a href="{{ asset('assets/img/company') }}/{{$user->detail->company_logo}}"><img src="{{ asset('assets/img/company') }}/{{$user->detail->company_logo}}" alt="" width="100"></a>

                            </div>

                            <br>

                            <input type="file">

                        </div>

                        <div class="form-group">

                            <label for="company_website">Company Website</label>

                            <input type="text" class="form-control" name="company_website" value="{{ $user->detail->company_website }}">

                        </div>

                        <div class="form-group">

                            <label for="comunity_website">Community Website</label>

                            <input type="text" class="form-control" name="community_website" value="{{ $user->detail->community_website }}">

                        </div>

                        <div class="form-group">

                            <label for="company_description">Company Description</label>

                            <!-- <input type="text" class="form-control" name="company_website" value="{{ $user->detail->company_website }}"> -->

                            <textarea name="company_description" class="form-control" id="" rows="5">{{ $user->detail->company_description }}</textarea>

                        </div>

                        <div class="form-group">

                            <label for="business_category">Business Category</label>

                            <div>

                                <label>

                                    @foreach($bcategoryArray as $key => $value)

                                        <label><input type="checkbox" name="business_category[]" value="{{ $key }}" {{ $value }}> {{$key}}</label>            

                                    @endforeach

                                </label>

                            </div>

                        </div>

                        <div class="form-group">

                            <label for="business_category">Product Cateogry</label>

                            <div>

                                <label>

                                    @foreach($pcategoryArray as $key => $value)

                                        <label><input type="checkbox" name="product_category[]" value="{{ $key }}" {{ $value }}> {{$key}}</label>            

                                    @endforeach

                                </label>

                            </div>

                        </div>

                        <div class="form-group">

                            <label for="business_category">Target Market</label>

                            <div>

                                <label>

                                    @foreach($tmarketArray as $key => $value)

                                        <label><input type="checkbox" name="target_market[]" value="{{ $key }}" {{ $value }}> {{$key}}</label>            

                                    @endforeach

                                </label>

                            </div>

                        </div>

                        <div class="form-group">

                            <label for="business_category">Target Category for business matching</label>

                            <div>

                                <label>

                                    @foreach($tcategoryArray as $key => $value)

                                        <label><input type="checkbox" name="target_category[]" value="{{ $key }}" {{ $value }}> {{$key}}</label>            

                                    @endforeach

                                </label>

                            </div>

                        </div>

                        

                    </div>

                        <div class="col-lg-10">

                            <div class="text-center">

                                <button type="submit" class="btn btn-primary">Submit</button>

                            </div>

                        </div>

                    </div>

                </form>

            </div>

        </div>

    </div>

@endsection