@extends('layouts.app')



@section('content')

    <div class="content-container">

        <div class="content-header">

            <h2>Meeting Requests</h2>

        </div>

        <div class="content-body-table">

            <div class="card">

                <div class="card-header">

                    <span class="text-danger text-left"><span><i class="fas fa-calendar-minus"></i></span> Unconfirmed</span> <span class="text-muted">(If the meeting request is pending for 3 days, it will be automatically cancelled by the system.)</span>

                </div>

                <div class="card-body">

                    <div class="datatable">

                        <table class="table table-bordered" style="width: 100%; text-align: center;">

                            <thead>

                                <tr>

                                    <th>Date</th>

                                    <th>Time</th>

                                    <th>Sender</th>

                                    <th>Company Name</th>

                                    <th>Contact</th>

                                    <th>Status</th>

                                    <th>Action</th>

                                </tr>

                            </thead>

                            <tbody>

                                @foreach($unconfirmed as $meeting)

                                    <tr>

                                        <td>{{ $meeting->getDate->date_stamp }}</td>

                                        <td>{{ $meeting->getTime->time_stamp }}</td>

                                        @if($meeting->setter_id == auth()->user()->id)

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>

                                        @else

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>

                                        @endif

                                        <td><a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="{{ $meeting->setter_id == auth()->user()->id ? $meeting->receiver_id : $meeting->setter_id }}"> {{ $meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name }} </a></td>

                                        <td>{{ $meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact }}</td>

                                        <td class="text-danger">{{ 'Unconfirmed' }}</td>

                                        @if($meeting->receiver_id == auth()->user()->id)
                                        <td><a href="#" class="btn btn-primary accept_request" id="{{ $meeting->id }}" time="{{ $meeting->getTime->time_stamp }}" date="{{ $meeting->getDate->date_stamp }}" cname="{{$meeting->getSetter->detail->company_name}}">Accept</a> <a href="#" class="btn btn-danger reject_request" id="{{ $meeting->id }}" time="{{ $meeting->getTime->time_stamp }}" date="{{ $meeting->getDate->date_stamp }}" cname="{{$meeting->getSetter->detail->company_name}}">Decline</a></td>
                                        @else
                                        <td>Waiting for confirmation.</td>
                                        @endif

                                    </tr>

                                @endforeach

                            </tbody>

                        </table>

                    </div>

                </div>

            </div>



            <div class="card mt-10">

                <div class="card-header">

                    <span class="text-success text-left"><span><i class="fas fa-calendar"></i></span> Confirmed</span>

                </div>

                <div class="card-body">

                    <div class="datatable">

                        <table class="table table-bordered" style="width: 100%; text-align: center;">

                            <thead>

                                <tr>

                                    <th>Date</th>

                                    <th>Time</th>

                                    <th>Sender</th>

                                    <th>Company Name</th>

                                    <th>Contact</th>

                                    <th>Status</th>

                                </tr>

                            </thead>

                            <tbody>

                                @foreach($confirmed as $meeting)

                                    <tr>

                                        <td>{{ $meeting->getDate->date_stamp }}</td>

                                        <td>{{ $meeting->getTime->time_stamp }}</td>

                                        @if($meeting->setter_id == auth()->user()->id)

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>

                                        @else

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>

                                        @endif

                                        <td><a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="{{ $meeting->setter_id == auth()->user()->id ? $meeting->receiver_id : $meeting->setter_id }}"> {{ $meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name }} </a></td>

                                        <td>{{ $meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact }}</td>

                                        <td class="text-success">Confirmed</td>

                                    </tr>

                                @endforeach

                            </tbody>

                        </table>

                    </div>

                </div>

            </div>



            <div class="card mt-10">

                <div class="card-header">

                    <span class="text-muted text-left"><span><i class="fas fa-calendar"></i></span> Cancelled</span>

                </div>

                <div class="card-body">

                    <div class="datatable">

                        <table class="table table-bordered" style="width: 100%; text-align: center;">

                            <thead>

                                <tr>

                                    <th>Date</th>

                                    <th>Time</th>

                                    <th>Sender</th>

                                    <th>Company Name</th>

                                    <th>Contact</th>

                                    <th>Status</th>

                                    <th>Action</th>

                                </tr>

                            </thead>

                            <tbody>

                                @foreach($cancelled as $meeting)

                                    <tr>

                                        <td>{{ $meeting->getDate->date_stamp }}</td>

                                        <td>{{ $meeting->getTime->time_stamp }}</td>

                                        @if($meeting->setter_id == auth()->user()->id)

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>

                                        @else

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>

                                        @endif

                                        <td><a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="{{ $meeting->setter_id == auth()->user()->id ? $meeting->receiver_id : $meeting->setter_id }}"> {{ $meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name }} </a></td>

                                        <td>{{ $meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact }}</td>

                                        <td class="text-muted">{{ 'Cancelled' }}</td>

                                        <td>{{ '' }}</td>

                                    </tr>

                                @endforeach

                            </tbody>

                        </table>

                    </div>

                </div>

            </div>



        </div>

    </div>

    @include('includes.card_exchange_modal_content')

@endsection