@extends('layouts.app')



@section('content')

    <div class="content-container">

        <div class="content-header">

            <h2>Meeting Schedule</h2>

        </div>

        <div class="content-body-table">

            <div class="card">

                <div class="card-header">{{ $user->detail->company_name }} Meeting Schedule</div>

                <div class="card-body">

                    <div class="datatable">

                        <table class="table table-bordered" style="width: 100%; text-align: center;">

                            <thead class="thead-light">

                                <tr>

                                    <th>Time(GMT+8)</th>

                                    @foreach($dates as $date)

                                        <th>{{ $date->date_stamp }}</th>

                                    @endforeach

                                </tr>

                            </thead>

                            <tbody>

                                @foreach($details->schedule as $key => $value)

                                    <tr>

                                        <td>{{ \App\Models\TimeStamp::getTime($key+1) }}</td>

                                        @foreach($value as $keyone => $valueone)

                                            @foreach($valueone as $keytwo => $valuetwo)

                                                <td>

                                                    @if($valuetwo == 0)

                                                        <div class="text-left">

                                                            <span title="Press this button to close this timeslot." style="cursor: pointer;" class="badge badge-pill badge-success close_sched" onclick="event.preventDefault(); document.getElementById('close-{{$details->id.$keyone.$keytwo}}').submit();">Open</span>

                                                            <form action="{{ route('user.meeting.close', ['id' => $details->id ,'tid' => $keyone, 'did' => $keytwo])}}" id="close-{{$details->id.$keyone.$keytwo}}" method="POST" style="display: none">

                                                                @method('PUT')

                                                                @csrf

                                                            </form>

                                                        </div>

                                                    @elseif($valuetwo == 1)

                                                        <div>

                                                            @if($meetings)

                                                                <span> 

                                                                @foreach($meetings as $meeting)

                                                                    @if(($meeting->setter_id == auth()->user()->id || $meeting->receiver_id == auth()->user()->id) && ($meeting->timestamp_id == $keyone && $meeting->datestamp_id == $keytwo))

                                                                        @if($meeting->timestamp_id == $keyone && $meeting->datestamp_id == $keytwo)

                                                                            <div class="text-left">

                                                                                <span class="badge badge-pill badge-warning">Closed(Booked)</span>

                                                                            </div>

                                                                            @if($meeting->setter_id == auth()->user()->id)

                                                                                <h3 class="" style="color: var(--pgdx-blue)">{{ $meeting->getReceiver->detail->company_name }}</h3>

                                                                                <h5>{{ $meeting->getReceiver->detail->contact }}</h5>

                                                                                <div>

                                                                                    Public Room Meeting <br> (Room no. 1)

                                                                                </div>

                                                                            @elseif($meeting->receiver_id == auth()->user()->id)

                                                                            <h3 class="" style="color: var(--pgdx-blue)">{{ $meeting->getSetter->detail->company_name }}</h3>

                                                                            <h5>{{ $meeting->getSetter->detail->contact }}</h5>

                                                                                <div>

                                                                                    Public Room Meeting <br> (Room no. 1)                   

                                                                                </div>

                                                                            @else

                                                                            <div class="text-left">

                                                                                <span title="Press this button to open this timeslot." style="cursor: pointer;" class="badge badge-pill badge-warning open_sched" onclick="event.preventDefault(); document.getElementById('open-{{$details->id.$keyone.$keytwo}}').submit();">Closed</span>

                                                                                <form action="{{ route('user.meeting.open', ['id' => $details->id ,'tid' => $keyone, 'did' => $keytwo])}}" id="open-{{$details->id.$keyone.$keytwo}}" method="POST" style="display: none">

                                                                                    @method('PUT')

                                                                                    @csrf

                                                                                </form>

                                                                            </div>

                                                                            @endif

                                                                        @endif

                                                                    @else

                                                                    @endif

                                                                @endforeach

                                                            @else

                                                                @if($valuetwo == 0)

                                                                    <div class="text-left">

                                                                        <span title="Press this button to close this timeslot." style="cursor: pointer;" class="badge badge-pill badge-success close_sched" onclick="event.preventDefault(); document.getElementById('close-{{$details->id.$keyone.$keytwo}}').submit();">Open</span>

                                                                        <form action="{{ route('user.meeting.close', ['id' => $details->id ,'tid' => $keyone, 'did' => $keytwo])}}" id="close-{{$details->id.$keyone.$keytwo}}" method="POST" style="display: none">

                                                                            @method('PUT')

                                                                            @csrf

                                                                        </form>

                                                                    </div>

                                                                @elseif($valuetwo == 3)

                                                                    <div class="text-left">

                                                                        <span title="Press this button to open this timeslot." style="cursor: pointer;" class="badge badge-pill badge-warning open_sched" onclick="event.preventDefault(); document.getElementById('open-{{$details->id.$keyone.$keytwo}}').submit();">Closed</span>

                                                                        <form action="{{ route('user.meeting.open', ['id' => $details->id ,'tid' => $keyone, 'did' => $keytwo])}}" id="open-{{$details->id.$keyone.$keytwo}}" method="POST" style="display: none">

                                                                            @method('PUT')

                                                                            @csrf

                                                                        </form>

                                                                    </div>

                                                                @endif

                                                            @endif

                                                        <div>

                                                    @else

                                                        <div class="text-left">

                                                            <span title="Press this button to open this timeslot." style="cursor: pointer;" class="badge badge-pill badge-warning open_sched" onclick="event.preventDefault(); document.getElementById('open-{{$details->id.$keyone.$keytwo}}').submit();">Closed</span>

                                                            <form action="{{ route('user.meeting.open', ['id' => $details->id ,'tid' => $keyone, 'did' => $keytwo])}}" id="open-{{$details->id.$keyone.$keytwo}}" method="POST" style="display: none">

                                                                @method('PUT')

                                                                @csrf

                                                            </form>

                                                        </div>

                                                    @endif

                                                </td>

                                            @endforeach

                                        @endforeach

                                    </tr>

                                @endforeach

                            </tbody>

                        </table>

                    </div>

                </div>

            </div>

        </div>

    </div>

@endsection





