@extends('layouts.app')

@section('content')
    <div class="content-container">
        <div class="content-header">
            <h2>Networking List</h2>
        </div>
        @if(Session::has('success_book'))

        <div class="alert alert-success">

            {{ session('success_book') }}

        </div>

        @endif
        <div class="content-body-table">
            <div class="card">
                <div class="card-header"></div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered table-hover" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <th>Company Name</th>
                                <th>Contact</th>
                                <th>Country</th>
                                <th>Category</th>
                                <th>Meeting</th>
                                <th>Card</th>
                                <th>Favorite</th>
                            </thead>
                            <tbody>
                                @foreach($companies as $company) 
                                    <tr>
                                        <td> 
                                            @if($company->id == auth()->user()->id)
                                            {{ $company->detail->company_name }} 
                                            @else
                                                @if($cards)
                                                    <a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="{{$company->id}}"> {{ $company->detail->company_name }} </a>
                                                @else
                                                    <a data-toggle="modal" data-target="#card_exchange_modal_content" href="#" class="show_details" style="cursor: pointer; text-decoration: none;"> {{ $company->detail->company_name }} </a>
                                                @endif
                                            @endif
                                        </td>
                                        <td> {{ $company->detail->contact }} </td>
                                        <td> {{ $company->detail->country }} </td>
                                        <td> {{ $company->detail->business_category }} </td>
                                        <td class="text-center"> 
                                            @if($company->id != auth()->user()->id)
                                                @php 
                                                    $check1 = \App\Models\MeetingRequest::where('setter_id', $company->id)->orWhere('receiver_id', $company->id)->get()->first(); 
                                                @endphp
                                                @if($check1)
                                                    <button class="btn btn-light" disabled><div class=""><div class=""><i data-feather="calendar" title="Click to set meeting with this person/company."></i><div title="Click to set meeting with this person/company.">Meeting</div></button>
                                                @else
                                                    <a class="btn btn-primary" href="{{ route('user.book.meeting', $company->id) }}" title="Click to set meeting with this person/company."><div title="Click to set meeting with this person/company." class=""><i data-feather="calendar"></i>Meeting</div></a>
                                                @endif
                                            @else   
                                                <button class="btn btn-light" disabled><div class=""><div class=""><i data-feather="calendar" title="Click to set meeting with this person/company."></i><div title="Click to set meeting with this person/company.">Meeting</div></button>
                                            @endif
                                        </td>
                                        <td class="text-center"> 
                                            @if($company->id != auth()->user()->id)
                                                @php 
                                                    $check2 = \App\Models\CardRequest::where('sender_id', $company->id)->orWhere('receiver_id', $company->id)->get()->first(); 
                                                @endphp
                                                @if($check2)
                                                    <button class="btn btn-light" disabled><div class=""><i data-feather="credit-card" title="Request for company information exchange."></i><div title="Request for company information exchange.">Card</div></button>
                                                @else
                                                <button type="button" class="btn btn-primary card_exchange_btn" data-id={{ $company->id }}>
                                                    <div class=""><i data-feather="credit-card" title="Request for company information exchange."></i><div title="Request for company information exchange.">Card</div>
                                                </button>
                                                @endif
                                            @else   
                                                <button class="btn btn-primary" disabled><div class=""><i data-feather="credit-card" title="Request for company information exchange."></i><div title="Request for company information exchange.">Card</div></button>
                                            @endif
                                        </td>
                                        <td class="text-center">
                                            <button class="btn btn-primary" disabled><div class=""><i data-feather="star" title="Add this contact/company to favorite list."></i><div title="Add this contact/company to favorite list.">Favorite</div></button>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                            <tfoot>
                                <th>Company Name</th>
                                <th>Contact</th>
                                <th>Country</th>
                                <th>Category</th>
                                <th>Meeting</th>
                                <th>Card</th>
                                <th>Favorite</th>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    @include('includes.card_exchange_modal_content')
    @include('includes.card_exchange_modal')
@endsection