<?php $__env->startSection('content'); ?>

    <div class="content-container">

        <div class="content-header">

            <h2>Meeting Requests</h2>

        </div>

        <div class="content-body-table">

            <div class="card">

                <div class="card-header">

                    <span class="text-danger text-left"><span><i class="fas fa-calendar-minus"></i></span> Unconfirmed</span> <span class="text-muted">(If the meeting request is pending for 3 days, it will be automatically cancelled by the system.)</span>

                </div>

                <div class="card-body">

                    <div class="datatable">

                        <table class="table table-bordered" style="width: 100%; text-align: center;">

                            <thead>

                                <tr>

                                    <th>Date</th>

                                    <th>Time</th>

                                    <th>Sender</th>

                                    <th>Company Name</th>

                                    <th>Contact</th>

                                    <th>Status</th>

                                    <th>Action</th>

                                </tr>

                            </thead>

                            <tbody>

                                <?php $__currentLoopData = $unconfirmed; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meeting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <tr>

                                        <td><?php echo e($meeting->getDate->date_stamp); ?></td>

                                        <td><?php echo e($meeting->getTime->time_stamp); ?></td>

                                        <?php if($meeting->setter_id == auth()->user()->id): ?>

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>

                                        <?php else: ?>

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>

                                        <?php endif; ?>

                                        <td><a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="<?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->receiver_id : $meeting->setter_id); ?>"> <?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name); ?> </a></td>

                                        <td><?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact); ?></td>

                                        <td class="text-danger"><?php echo e('Unconfirmed'); ?></td>

                                        <?php if($meeting->receiver_id == auth()->user()->id): ?>
                                        <td><a href="#" class="btn btn-primary accept_request" id="<?php echo e($meeting->id); ?>" time="<?php echo e($meeting->getTime->time_stamp); ?>" date="<?php echo e($meeting->getDate->date_stamp); ?>" cname="<?php echo e($meeting->getSetter->detail->company_name); ?>">Accept</a> <a href="#" class="btn btn-danger reject_request" id="<?php echo e($meeting->id); ?>" time="<?php echo e($meeting->getTime->time_stamp); ?>" date="<?php echo e($meeting->getDate->date_stamp); ?>" cname="<?php echo e($meeting->getSetter->detail->company_name); ?>">Decline</a></td>
                                        <?php else: ?>
                                        <td>Waiting for confirmation.</td>
                                        <?php endif; ?>

                                    </tr>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>

                        </table>

                    </div>

                </div>

            </div>



            <div class="card mt-10">

                <div class="card-header">

                    <span class="text-success text-left"><span><i class="fas fa-calendar"></i></span> Confirmed</span>

                </div>

                <div class="card-body">

                    <div class="datatable">

                        <table class="table table-bordered" style="width: 100%; text-align: center;">

                            <thead>

                                <tr>

                                    <th>Date</th>

                                    <th>Time</th>

                                    <th>Sender</th>

                                    <th>Company Name</th>

                                    <th>Contact</th>

                                    <th>Status</th>

                                </tr>

                            </thead>

                            <tbody>

                                <?php $__currentLoopData = $confirmed; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meeting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <tr>

                                        <td><?php echo e($meeting->getDate->date_stamp); ?></td>

                                        <td><?php echo e($meeting->getTime->time_stamp); ?></td>

                                        <?php if($meeting->setter_id == auth()->user()->id): ?>

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>

                                        <?php else: ?>

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>

                                        <?php endif; ?>

                                        <td><a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="<?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->receiver_id : $meeting->setter_id); ?>"> <?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name); ?> </a></td>

                                        <td><?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact); ?></td>

                                        <td class="text-success">Confirmed</td>

                                    </tr>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>

                        </table>

                    </div>

                </div>

            </div>



            <div class="card mt-10">

                <div class="card-header">

                    <span class="text-muted text-left"><span><i class="fas fa-calendar"></i></span> Cancelled</span>

                </div>

                <div class="card-body">

                    <div class="datatable">

                        <table class="table table-bordered" style="width: 100%; text-align: center;">

                            <thead>

                                <tr>

                                    <th>Date</th>

                                    <th>Time</th>

                                    <th>Sender</th>

                                    <th>Company Name</th>

                                    <th>Contact</th>

                                    <th>Status</th>

                                    <th>Action</th>

                                </tr>

                            </thead>

                            <tbody>

                                <?php $__currentLoopData = $cancelled; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meeting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <tr>

                                        <td><?php echo e($meeting->getDate->date_stamp); ?></td>

                                        <td><?php echo e($meeting->getTime->time_stamp); ?></td>

                                        <?php if($meeting->setter_id == auth()->user()->id): ?>

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>

                                        <?php else: ?>

                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>

                                        <?php endif; ?>

                                        <td><a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="<?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->receiver_id : $meeting->setter_id); ?>"> <?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name); ?> </a></td>

                                        <td><?php echo e($meeting->setter_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact); ?></td>

                                        <td class="text-muted"><?php echo e('Cancelled'); ?></td>

                                        <td><?php echo e(''); ?></td>

                                    </tr>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>

                        </table>

                    </div>

                </div>

            </div>



        </div>

    </div>

    <?php echo $__env->make('includes.card_exchange_modal_content', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/slklwimy/public_html/system/pgdx_biz_matching/resources/views/meeting_request.blade.php ENDPATH**/ ?>