

<?php $__env->startSection('content'); ?>
    <div class="content-container">
        <div class="content-header">
            <h2>Card Exchange</h2>
            <p class="text-danger">To make the system effective, please DO fill in your contact info in the “Edit My Profile” before you answer the request.</p>
        </div>
        <div class="content-body-table">
            <div class="card">
                <div class="card-header">
                    <span class="text-danger text-left"><span><i class="fas fa-calendar-minus"></i></span> Pending Request</span> <span class="text-muted">(Once you accept the request, the system will exchange contact info to each other.)</span>
                </div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Sender</th>
                                    <th>Company Name</th>
                                    <th>Contact</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $unconfirmed; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meeting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(date('M d, Y', strtotime($meeting->created_at))); ?></td>
                                        <?php if($meeting->sender_id == auth()->user()->id): ?>
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>
                                        <?php else: ?>
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>
                                        <?php endif; ?>
                                        <td><?php echo e($meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name); ?></td>
                                        <td><?php echo e($meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact); ?></td>
                                        <td class="text-danger"><?php echo e('Unconfirmed'); ?></td>
                                        <td><a class="btn btn-primary" href="<?php echo e(route('user.card.exchange.accept', $meeting->id)); ?>">Accept</a> <a class="btn btn-primary" href="<?php echo e(route('user.card.exchange.reject', $meeting->id)); ?>">Reject</a></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="card mt-10">
                <div class="card-header">
                    <span class="text-success text-left"><span><i class="fas fa-calendar"></i></span> Confirmed</span>
                </div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Sender</th>
                                    <th>Company Name</th>
                                    <th>Contact</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $confirmed; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meeting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(date('M d, Y', strtotime($meeting->created_at))); ?></td>
                                        <?php if($meeting->sender_id == auth()->user()->id): ?>
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>
                                        <?php else: ?>
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>
                                        <?php endif; ?>
                                        <td><a href="#" class="show_card" style="cursor: pointer; text-decoration: none;" data-id="<?php echo e($meeting->sender_id == auth()->user()->id ? $meeting->receiver_id : $meeting->sender_id); ?>"> <?php echo e($meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name); ?> </a></td>
                                        <td><?php echo e($meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact); ?></td>
                                        <td class="text-success">Confirmed</td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="card mt-10">
                <div class="card-header">
                    <span class="text-muted text-left"><span><i class="fas fa-calendar"></i></span> Rejection</span>
                </div>
                <div class="card-body">
                    <div class="datatable">
                        <table class="table table-bordered" style="width: 100%; text-align: center;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Sender</th>
                                    <th>Company Name</th>
                                    <th>Contact</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $cancelled; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meeting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e(date('M d, Y', strtotime($meeting->created_at))); ?></td>
                                        <?php if($meeting->sender_id == auth()->user()->id): ?>
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-right" style="color: var(--pgdx-blue);"></i></td>
                                        <?php else: ?>
                                            <td><i class="fa fa-user"></i><i class="fa fa-arrow-left" style="color: var(--pgdx-blue);"></i></td>
                                        <?php endif; ?>
                                        <td><?php echo e($meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->company_name : $meeting->getSetter->detail->company_name); ?></td>
                                        <td><?php echo e($meeting->sender_id == auth()->user()->id ? $meeting->getReceiver->detail->contact : $meeting->getSetter->detail->contact); ?></td>
                                        <td class="text-muted"><?php echo e('Cancelled'); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <?php echo $__env->make('includes.card_exchange_modal_content', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/slklwimy/public_html/staging/pgdx_biz_matching/resources/views/card_exchange.blade.php ENDPATH**/ ?>