<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>PGDX - Biz Matching</title>
        <link rel="stylesheet" href="<?php echo e(asset('css/styles.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('css/custom.css')); ?>">
        <link rel="icon" type="image/x-icon" href="assets/img/favicon.png" />
        <link href="https://cdn.datatables.net/1.10.22/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/js/all.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/feather-icons/4.28.0/feather.min.js" crossorigin="anonymous"></script>
    </head>

<body>
    <div class="gradient-bar-login"></div>
    <?php if(Session::has('success-register')): ?>
        <div class="alert alert-block alert-success text-center">
            <i class=" fa fa-check cool-green "></i>
            <?php echo e((Session::get('success-register'))); ?>

        </div>
    <?php endif; ?>
    <?php if(Session::has('error-status')): ?>
        <div class="alert alert-block alert-danger text-center">
            <i class=" fa fa-times "></i>
            <?php echo e((Session::get('error-status'))); ?>

        </div>
    <?php endif; ?>
    <?php if(Session::has('error')): ?>
        <div class="alert alert-block alert-danger text-center">
            <i class=" fa fa-times "></i>
            <?php echo e((Session::get('error'))); ?>

        </div>
    <?php endif; ?>
    <?php if(Session::has('reset-password')): ?>
        <div class="alert alert-block alert-success text-center">
            <i class=" fa fa-check cool-green "></i>
            <?php echo e((Session::get('reset-password'))); ?>

        </div>
    <?php endif; ?>
    <?php if(Session::has('reset-password-success')): ?>
        <div class="alert alert-block alert-success text-center">
            <i class=" fa fa-check cool-green "></i>
            <?php echo e((Session::get('reset-password'))); ?>

        </div>
    <?php endif; ?>
    <?php if(Session::has('reset-password-error')): ?>
        <div class="alert alert-block alert-danger text-center">
            <i class=" fa fa-times "></i>
            <?php echo e((Session::get('reset-password-error'))); ?>

        </div>
    <?php endif; ?>
    <div class="login-box">
        <div class="login-box-body">
            <div class="login-logo">
                <img src="<?php echo e(asset('assets/img/pgdx-logo-colored-no-bg.png')); ?>" width="100%" max-width="400px;" alt="">
            </div>
            <div class="text-center" style="font-size: 18px; font-weight: 600; margin-bottom: 25px;">
                PHILIPPINE GAMEDEV EXPO 2023
                <br>
                Biz-Matching System
            </div>
            <form method="POST" action="<?php echo e(route('login')); ?>">
                <?php echo csrf_field(); ?>

                <div class="form-group has-feedback">
                    <input id="email" type="email" class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="email" value="<?php echo e(old('email')); ?>" required autofocus placeholder="Email">
                    <span class="fas fa-envelope form-control-feedback"></span>
                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                        <span class="invalid-feedback" role="alert">
                            <strong><?php echo e($message); ?></strong>
                        </span>
                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>

                <div class="form-group has-feedback">
                        <input id="password" type="password" class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="password" required placeholder="Password">
                        <span class="fas fa-key form-control-feedback"></span>
                        <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($message); ?></strong>
                            </span>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <button type="submit" class="btn custom-btn-yellow btn-block">
                            <?php echo e(__('Sign In')); ?>

                        </button>
                    </div>
                </div>
            </form>
            <br>
            <div class="text-center">
                <a href="<?php echo e(route('user.register')); ?>">Sign up</a>
            </div>
            <div class="text-center">
                <a href="#" data-toggle="modal" data-target="#forgotPasswordModal">Forgot Password</a>
            </div>
            <div class="text-center" style="font-size: 12px; color: #fff; margin-top: 25px;">
                <span>For questions, please contact as at: </span><a href="mailto:biz.dev@pgdx.ph">biz.dev@pgdx.ph</a>
            </div>
        </div>
    </div>

    <div class="organized-box">
        <h3>ORGANIZED BY</h3>
        <div class="organized-image">
            <img src="<?php echo e(asset('assets/img/Asset-15-2-768x125.png')); ?>" class="center-block" alt="" width="200">
            <img src="<?php echo e(asset('assets/img/CBZN-Logo-02-Horizontal-ColoredWhite-2048x618.png')); ?>" class="center-block" alt="" width="200">
        </div>
    </div>


    <!-- Forgot Password Modal -->
    <div class="modal fade" id="forgotPasswordModal" tabindex="-1" role="dialog" aria-labelledby="forgotPasswordModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="forgotPasswordModalLabel">Forgot Password</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <!-- Forgot Password Form -->
            <form method="POST" action="<?php echo e(route('forget.password.post')); ?>">
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label for="email" class="col-form-label"><?php echo e(__('Email Address')); ?></label>
                <input id="email" type="email" class="form-control <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" name="email" value="<?php echo e(old('email')); ?>" required autocomplete="email" autofocus>
                <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                <span class="invalid-feedback" role="alert">
                    <strong><?php echo e($message); ?></strong>
                </span>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="form-group mb-0">
                <button type="submit" class="btn btn-primary"><?php echo e(__('Send Password Reset Link')); ?></button>
            </div>
            </form>
        </div>
        </div>
    </div>
    </div>


    <script src="https://code.jquery.com/jquery-3.5.1.min.js" crossorigin="anonymous"></script>
    <script src="<?php echo e(asset('administrator/plugins/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/script.js')); ?>"></script>

</body>
</html>
<?php /**PATH /home/slklwimy/public_html/system/pgdx_biz_matching/resources/views/auth/login.blade.php ENDPATH**/ ?>